Debian Bug report logs - #452322
azureus: VUZE search doesn't work

version graph

Package: azureus; Maintainer for azureus is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for azureus is src:azureus.

Reported by: Chris Capoccia <chriscapoccia@spamcop.net>

Date: Wed, 21 Nov 2007 22:06:02 UTC

Severity: normal

Tags: confirmed

Found in version azureus/3.0.3.4-2

Fixed in version azureus/3.0.3.4-3

Done: Shaun Jackman <sjackman@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, chriscapoccia@spamcop.net, Shaun Jackman <sjackman@debian.org>:
Bug#452322; Package azureus. Full text and rfc822 format available.

Acknowledgement sent to Chris Capoccia <chriscapoccia@spamcop.net>:
New Bug report received and forwarded. Copy sent to chriscapoccia@spamcop.net, Shaun Jackman <sjackman@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Capoccia <chriscapoccia@spamcop.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: azureus: VUZE search doesn't work
Date: Wed, 21 Nov 2007 23:04:31 +0100
Package: azureus
Version: 3.0.3.4-2
Severity: normal

the VUZE search doesn't work. azureus gives no search results. the gui 
provides no error messsages. when azureus is started from the cli, the 
following information is given:

shell.open took 284ms
processStartupDMS took 0ms
http://www.vuze.com:80/search?q=up&azid=EIQI7S2I5FLRUQRLEQ7AKBRKLS2DLFOQ&azv=3.0.3.4&rand=1195682309828
DEBUG::Wed Nov 21 21:58:29 GMT 
2007::org.gudy.azureus2.core3.util.DebugLight::printStackTrace::38:
  java.lang.NullPointerException
        at 
com.aelitis.azureus.ui.swt.shells.main.MainWindow.showURL(MainWindow.java:1952)
        at 
com.aelitis.azureus.ui.swt.shells.main.UIFunctionsImpl$2.runSupport(UIFunctionsImpl.java:625)
        at 
org.gudy.azureus2.core3.util.AERunnable.run(AERunnable.java:38)
        at 
org.eclipse.swt.widgets.Synchronizer.syncExec(Synchronizer.java:152)
        at org.eclipse.swt.widgets.Display.syncExec(Display.java:3897)
        at 
com.aelitis.azureus.ui.swt.shells.main.UIFunctionsImpl.viewURL(UIFunctionsImpl.java:618)
        at 
com.aelitis.azureus.ui.swt.shells.main.MainWindow.doSearch(MainWindow.java:1610)
        at 
com.aelitis.azureus.ui.swt.shells.main.MainWindow$33.pressed(MainWindow.java:1585)
        at 
com.aelitis.azureus.ui.swt.skin.SWTSkinButtonUtility$1.handleEvent(SWTSkinButtonUtility.java:56)
        at 
org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:66)
        at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1101)
        at 
org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:3319)
        at 
org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2971)
        at 
org.gudy.azureus2.ui.swt.mainwindow.SWTThread.<init>(SWTThread.java:156)
        at 
org.gudy.azureus2.ui.swt.mainwindow.SWTThread.createInstance(SWTThread.java:68)
        at 
org.gudy.azureus2.ui.swt.mainwindow.Initializer.<init>(Initializer.java:102)
        at org.gudy.azureus2.ui.swt.Main.<init>(Main.java:80)
        at org.gudy.azureus2.ui.swt.Main.main(Main.java:203)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at 
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at 
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.gudy.azureus2.ui.common.Main.directLaunch(Main.java:228)
        at org.gudy.azureus2.ui.common.Main.main(Main.java:131)



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages azureus depends on:
ii  gij-4.2 [java2-runtime]       4.2.2-3    The GNU Java bytecode interpreter
ii  java-gcj-compat               1.0.76-7   Java runtime environment using GIJ
ii  libcommons-cli-java           1.0-11     API for working with the command l
ii  liblog4j1.2-java              1.2.15-1   Logging library for java
ii  libseda-java                  3.0-3      the Staged Event-Driven Architectu
ii  libswt-gtk-3.3-java           3.3.1-1    Standard Widget Toolkit for GTK Ja
ii  sun-java6-jre [java2-runtime] 6-03-2     Sun Java(TM) Runtime Environment (

azureus recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Shaun Jackman <sjackman@debian.org>:
Bug#452322; Package azureus. Full text and rfc822 format available.

Acknowledgement sent to Chris Capoccia <chriscapoccia@spamcop.net>:
Extra info received and forwarded to list. Copy sent to Shaun Jackman <sjackman@debian.org>. Full text and rfc822 format available.

Message #10 received at 452322@bugs.debian.org (full text, mbox):

From: Chris Capoccia <chriscapoccia@spamcop.net>
To: 452322@bugs.debian.org
Subject: Re: Bug#452322: azureus: VUZE search doesn't work
Date: Sat, 08 Dec 2007 11:29:06 +0100
this can be fixed by including these lines in the start-up script:
---
export MOZILLA_FIVE_HOME=/usr/lib/iceape
if [ "$LD_LIBRARY_PATH x" = " x" ]; then export  
LD_LIBRARY_PATH=$MOZILLA_FIVE_HOME; else export  
LD_LIBRARY_PATH=$MOZILLA_FIVE_HOME:$LD_LIBRARY_PATH; fi
---

i have iceape installed. if iceweasel is installed, the export line  
might be different.




Information forwarded to debian-bugs-dist@lists.debian.org, Shaun Jackman <sjackman@debian.org>:
Bug#452322; Package azureus. Full text and rfc822 format available.

Acknowledgement sent to "Shaun Jackman" <sjackman@gmail.com>:
Extra info received and forwarded to list. Copy sent to Shaun Jackman <sjackman@debian.org>. Full text and rfc822 format available.

Message #15 received at 452322@bugs.debian.org (full text, mbox):

From: "Shaun Jackman" <sjackman@gmail.com>
To: "Chris Capoccia" <chriscapoccia@spamcop.net>, 452322@bugs.debian.org
Cc: "Control@BTS" <control@bugs.debian.org>
Subject: Re: Bug#452322: azureus: VUZE search doesn't work
Date: Fri, 14 Dec 2007 20:46:06 -0700
package azureus
tag 452322 confirmed
thanks

Your suggestion almost worked for me. I had to include these two lines:

export MOZILLA_FIVE_HOME=/usr/lib/xulrunner
export LD_PRELOAD=$MOZILLA_FIVE_HOME/libxpcom.so

Without forcing libxpcom.so to load, I get the error
java: symbol lookup error: /usr/lib/jni/libswt-mozilla-gtk-3346.so:
undefined symbol: NS_StringContainerInit2

I'm not sure how to fix that error the proper way. The LD_PRELOAD line
should not be necessary. I'm not sure if it's a bug in azureus or
perhaps in libswt-mozilla-gtk-3.3-jni.

Cheers,
Shaun

On Dec 8, 2007 3:29 AM, Chris Capoccia <chriscapoccia@spamcop.net> wrote:
> this can be fixed by including these lines in the start-up script:
> ---
> export MOZILLA_FIVE_HOME=/usr/lib/iceape
> if [ "$LD_LIBRARY_PATH x" = " x" ]; then export
> LD_LIBRARY_PATH=$MOZILLA_FIVE_HOME; else export
> LD_LIBRARY_PATH=$MOZILLA_FIVE_HOME:$LD_LIBRARY_PATH; fi




Tags added: confirmed Request was from "Shaun Jackman" <sjackman@gmail.com> to control@bugs.debian.org. (Sat, 15 Dec 2007 04:03:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Shaun Jackman <sjackman@debian.org>:
Bug#452322; Package azureus. Full text and rfc822 format available.

Acknowledgement sent to "Shaun Jackman" <sjackman@gmail.com>:
Extra info received and forwarded to list. Copy sent to Shaun Jackman <sjackman@debian.org>. Full text and rfc822 format available.

Message #22 received at 452322@bugs.debian.org (full text, mbox):

From: "Shaun Jackman" <sjackman@gmail.com>
To: "Chris Capoccia" <chriscapoccia@spamcop.net>, 452322@bugs.debian.org
Subject: Re: Bug#452322: azureus: VUZE search doesn't work
Date: Sat, 15 Dec 2007 12:17:25 -0700
I think the bug may be in libswt-mozilla-gtk-3.3-jni. It needs to
include the two files libswt-xpcominit-gtk-3346.so and
libswt-xulrunner-gtk-3346.so, and either one or both of those
libraries needs to depend on libxpcomglue.so, possibly by setting
XULRUNNER_LIBS=-lxpcomglue in the SWT's make_linux.mak.

Cheers,
Shaun

On Dec 14, 2007 8:46 PM, Shaun Jackman <sjackman@gmail.com> wrote:
> Your suggestion almost worked for me. I had to include these two lines:
>
> export MOZILLA_FIVE_HOME=/usr/lib/xulrunner
> export LD_PRELOAD=$MOZILLA_FIVE_HOME/libxpcom.so
>
> Without forcing libxpcom.so to load, I get the error
> java: symbol lookup error: /usr/lib/jni/libswt-mozilla-gtk-3346.so:
> undefined symbol: NS_StringContainerInit2
>
> I'm not sure how to fix that error the proper way. The LD_PRELOAD line
> should not be necessary. I'm not sure if it's a bug in azureus or
> perhaps in libswt-mozilla-gtk-3.3-jni.
>
> Cheers,
> Shaun




Reply sent to Shaun Jackman <sjackman@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Chris Capoccia <chriscapoccia@spamcop.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 452322-close@bugs.debian.org (full text, mbox):

From: Shaun Jackman <sjackman@debian.org>
To: 452322-close@bugs.debian.org
Subject: Bug#452322: fixed in azureus 3.0.3.4-3
Date: Sat, 12 Jan 2008 19:47:03 +0000
Source: azureus
Source-Version: 3.0.3.4-3

We believe that the bug you reported is fixed in the latest version of
azureus, which is due to be installed in the Debian FTP archive:

azureus_3.0.3.4-3.diff.gz
  to pool/main/a/azureus/azureus_3.0.3.4-3.diff.gz
azureus_3.0.3.4-3.dsc
  to pool/main/a/azureus/azureus_3.0.3.4-3.dsc
azureus_3.0.3.4-3_all.deb
  to pool/main/a/azureus/azureus_3.0.3.4-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 452322@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Shaun Jackman <sjackman@debian.org> (supplier of updated azureus package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 10 Jan 2008 23:40:35 -0800
Source: azureus
Binary: azureus
Architecture: source all
Version: 3.0.3.4-3
Distribution: unstable
Urgency: low
Maintainer: Shaun Jackman <sjackman@debian.org>
Changed-By: Shaun Jackman <sjackman@debian.org>
Description: 
 azureus    - BitTorrent client
Closes: 452322
Changes: 
 azureus (3.0.3.4-3) unstable; urgency=low
 .
   * Set the environment variable MOZILLA_FIVE_HOME to /usr/lib/xulrunner.
     Closes: #452322.
Files: 
 a1cba9c753a3f3b1aaf2c5e06ccef219 716 net optional azureus_3.0.3.4-3.dsc
 b87610e364cfbbd473728a21f6dc61e4 8587 net optional azureus_3.0.3.4-3.diff.gz
 5c9fdfb0f939fc49fb906a59e7bbb1a8 7987340 net optional azureus_3.0.3.4-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHhyqBvFdYF1IwUUoRAi8nAKDRlE2JxlzafKIqZCN1HaKsdhpNSACdF58F
dvc6yzaFOW/IlJJFYu+FB60=
=RQES
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Feb 2008 07:27:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:03:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.